# Uses of Class
net.shibboleth.idp.installer.plugin.impl.RollbackPluginInstall

Packages that use RollbackPluginInstall
Package
Description
net.shibboleth.idp.installer.plugin.impl
Classes for handling plugins.

## Uses of RollbackPluginInstall in net.shibboleth.idp.installer.plugin.impl

Methods in net.shibboleth.idp.installer.plugin.impl with parameters of type RollbackPluginInstall
Modifier and Type
Method
Description
`private void`
PluginInstaller.`handlePackages(RollbackPluginInstall rollback)`
Deploy any required packages.
`private void`
PluginInstaller.`installNew(RollbackPluginInstall rollBack)`
Copy the webapp folder from the distribution to the per plugin location inside dist.
`private void`
PluginInstaller.`uninstallOld(RollbackPluginInstall rollback)`
Uninstall the old version of the plugin.